View a markdown version of this page

GetConfigurationBundle - Amazon Bedrock AgentCore Control Plane

GetConfigurationBundle

Gets the latest version of a configuration bundle. By default, returns the latest version on the mainline branch. Use GetConfigurationBundleVersion to retrieve a specific historical version.

Request Syntax

GET /configuration-bundles/bundleId?branchName=branchName HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

branchName

The branch name to get the latest version from. If not specified, returns the latest version on the mainline branch.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z][a-zA-Z0-9_/-]{0,127}

bundleId

The unique identifier of the configuration bundle to retrieve.

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "bundleArn": "string", "bundleId": "string", "bundleName": "string", "components": { "string" : { "configuration": JSON value } }, "createdAt": number, "description": "string", "lineageMetadata": { "branchName": "string", "commitMessage": "string", "createdBy": { "arn": "string", "name": "string" }, "parentVersionIds": [ "string" ] }, "updatedAt": number, "versionId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

bundleArn

The Amazon Resource Name (ARN) of the configuration bundle.

Type: String

Pattern: arn:aws:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:configuration-bundle/[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

bundleId

The unique identifier of the configuration bundle.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

bundleName

The name of the configuration bundle.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,99}

components

A map of component identifiers to their configurations for this version.

Type: String to ComponentConfiguration object map

Key Length Constraints: Minimum length of 1. Maximum length of 2048.

Key Pattern: [a-zA-Z][a-zA-Z0-9_:/.\-]{0,2047}

createdAt

The timestamp when the configuration bundle was created.

Type: Timestamp

description

The description of the configuration bundle.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 500.

Pattern: .+

lineageMetadata

The version lineage metadata, including parent versions, branch name, and creation source.

Type: VersionLineageMetadata object

updatedAt

The timestamp when the configuration bundle was last updated.

Type: Timestamp

versionId

The version identifier of this configuration bundle.

Type: String

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: